Groups

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /groups

Lists all groups assigned to the specified project. The authorized user must have admin rights in the project to get the information about permissions in that project

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
groupsProjectGroupView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/groups" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/groups", "html_url": "https://app.buddy.works/my-company/my-project/team", "groups": [ { "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/groups/4", "html_url": "https://app.buddy.works/my-company/-/groups/4", "id": 4, "name": "Frontend Team", "permission_set": { "url": "https://api.buddy.works/workspaces/my-company/permissions/1", "html_url": "https://app.buddy.works/my-company/-/permissions/edit/1", "name": "Developer", "repository_access_level": "READ_WRITE", "pipeline_access_level": "READ_WRITE", "sandbox_access_level": "READ_WRITE", "project_team_access_level": "READ_ONLY", "environment_access_level": "MANAGE", "package_access_level": "MANAGE", "id": 1, "type": "DEVELOPER" } }, { "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/groups/5", "html_url": "https://app.buddy.works/my-company/-/groups/5", "id": 5, "name": "Backend Team", "permission_set": { "url": "https://api.buddy.works/workspaces/my-company/permissions/2", "html_url": "https://app.buddy.works/my-company/-/permissions/edit/2", "name": "Senior Developer", "repository_access_level": "READ_WRITE", "pipeline_access_level": "READ_WRITE", "sandbox_access_level": "READ_WRITE", "project_team_access_level": "MANAGE", "environment_access_level": "MANAGE", "package_access_level": "MANAGE", "id": 2, "type": "CUSTOM" } } ] }
STATUS
200 OK